curl --request GET \
--url https://hpay-api.host-sl.com/api/v1/transactions/wallet/9a8b7c6d-.../connect/status \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
status = client.connect.status("9a8b7c6d-...")
print(status["is_verified"], status["currently_due"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const status = await client.connect.status("9a8b7c6d-...");
console.log(status.is_verified, status.currently_due);
{
"message": "Status synchronized successfully.",
"account_id": "acct_1ABC...",
"payouts_enabled": true,
"charges_enabled": true,
"is_verified": true,
"currently_due": [],
"pending_verification": [],
"disabled_reason": null
}
{
"detail": "User does not have a Stripe Connect account associated."
}
Stripe Connect
Connect Account Status
Sync and retrieve the current verification status of a user’s Stripe Connect account.
GET
/
api
/
v1
/
transactions
/
wallet
/
{wallet_id}
/
connect
/
status
curl --request GET \
--url https://hpay-api.host-sl.com/api/v1/transactions/wallet/9a8b7c6d-.../connect/status \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
status = client.connect.status("9a8b7c6d-...")
print(status["is_verified"], status["currently_due"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const status = await client.connect.status("9a8b7c6d-...");
console.log(status.is_verified, status.currently_due);
{
"message": "Status synchronized successfully.",
"account_id": "acct_1ABC...",
"payouts_enabled": true,
"charges_enabled": true,
"is_verified": true,
"currently_due": [],
"pending_verification": [],
"disabled_reason": null
}
{
"detail": "User does not have a Stripe Connect account associated."
}
Fetches the latest account state from Stripe, updates the local record, and emits an
account.updated webhook event — immediate feedback, and a fallback if a webhook was missed.
Path Parameters
string
required
The wallet whose owner’s Connect account to check.
Response
string
The Stripe Connect account ID.
boolean
Whether the account can receive payouts.
boolean
Whether the account can accept charges.
boolean
True when payouts or charges are enabled.
string[]
Verification requirements Stripe still needs.
{
"message": "Status synchronized successfully.",
"account_id": "acct_1ABC...",
"payouts_enabled": true,
"charges_enabled": true,
"is_verified": true,
"currently_due": [],
"pending_verification": [],
"disabled_reason": null
}
{
"detail": "User does not have a Stripe Connect account associated."
}
curl --request GET \
--url https://hpay-api.host-sl.com/api/v1/transactions/wallet/9a8b7c6d-.../connect/status \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
status = client.connect.status("9a8b7c6d-...")
print(status["is_verified"], status["currently_due"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const status = await client.connect.status("9a8b7c6d-...");
console.log(status.is_verified, status.currently_due);